Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.neoworks.jukex.query
Class AttributeValueResultSet

    java.lang.Object
      |
      +--com.neoworks.jukex.query.AttributeValueResultSet

public class AttributeValueResultSet
extends java.lang.Object

This class represents the results of an Attribute query. It is meant to work using a subset of the result API. All indexes in this class are 1 based to be consistent with the ResultSet/RowSet interfaces, although I believe this to be a moronic way of doing things.

Author:
  Nick Vincent nick@neoworks.com

Method Summary
`void` | `beforeFirst()` Move the current row to be before the first row.
`AttributeValue` | `getAttributeValue(int index)` Get the attribute value with the specified index from the current row
`AttributeValue` | `getAttributeValue(java.lang.String colname)` Return an AttributeValue object for the column with the specified Attribute name
`int` | `getColumnCount()` Return the number of columns present in this query
`int` | `getInt(int index)` Return the integer representation of the column at the given index
`int` | `getInt(java.lang.String colname)` Return the integer representation of the column with the given name
`java.lang.String` | `getString(int index)` Return the String represntation of the column at the given index
`java.lang.String` | `getString(java.lang.String colname)` Return the String representation of the column with the given name
`long` | `getTrackId()` Return the ID of the Track referred to by the current row
`boolean` | `next()` Move to the next row in the result set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAttributeValue

    public AttributeValue getAttributeValue(int index)
                                     throws java.sql.SQLException

  Get the attribute value with the specified index from the current row

  Parameters:
    `index` - The index of the AttributeValue to retrieve
  Returns:
    The AttributeValue specified
    `java.sql.SQLException`

### getAttributeValue

    public AttributeValue getAttributeValue(java.lang.String colname)
                                     throws java.sql.SQLException

  Return an AttributeValue object for the column with the specified Attribute name

  Parameters:
    `colname` - The name of the column. This is the name of the Attribute.
  Returns:
    The AttributeValue for that column in the current row
    `java.sql.SQLException`

### getString

    public java.lang.String getString(int index)
                               throws java.sql.SQLException

  Return the String represntation of the column at the given index

  Parameters:
    `index` - The index of the column
  Returns:
    The String representation of the data in the column
    `java.sql.SQLException`

### getInt

    public int getInt(int index)
               throws java.sql.SQLException

  Return the integer representation of the column at the given index

  Parameters:
    `index` - The index of the column
  Returns:
    The integer value of the data in that column
    `java.sql.SQLException`

### getString

    public java.lang.String getString(java.lang.String colname)
                               throws java.sql.SQLException

  Return the String representation of the column with the given name

  Parameters:
    `colname` - The name of the column
  Returns:
    The String representation of the data in that column
    `java.sql.SQLException`

### getInt

    public int getInt(java.lang.String colname)
               throws java.sql.SQLException

  Return the integer representation of the column with the given name

  Parameters:
    `colname` - The name of the column
  Returns:
    The integer representation of the data in that column
    `java.sql.SQLException`

### getTrackId

    public long getTrackId()
                    throws java.sql.SQLException

  Return the ID of the Track referred to by the current row

  Returns:
    The ID of the Track referred to by the current row
    `java.sql.SQLException`

### next

    public boolean next()
                 throws java.sql.SQLException

  Move to the next row in the result set

  Returns:
    `true` if there is a next row, `false` otherwise.
    `java.sql.SQLException`

### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

  Move the current row to be before the first row. This means that calling next() will move you to the first record

    `java.sql.SQLException`

### getColumnCount

    public int getColumnCount()

  Return the number of columns present in this query

  Returns:
    The number of columns present in this query

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD